import 'package:freezed_annotation/freezed_annotation.dart';

import '../../../../../api/marianumconnect/queries/get_breakers/get_breakers_response.dart';

part 'breaker_state.freezed.dart';
part 'breaker_state.g.dart';

@freezed
abstract class BreakerState with _$BreakerState {
  const factory BreakerState({GetBreakersResponse? response}) = _BreakerState;

  factory BreakerState.fromJson(Map<String, Object?> json) =>
      _$BreakerStateFromJson(json);
}
